<div class="dialog-container-general">
  <p-dialog header="Iniciar Sesión" [(visible)]="loginVisible" [style]="{width: '20vw'}" [modal]="true"
    class="modal-container" (onHide)="cerrarModal()">
    <div class="container">
      <div class="txt_field">
        <input type="text" id="usuario" class="inpt" autocomplete="off" placeholder="  " [(ngModel)]="loginUsuario.NombreUsuario">
        <i class="uil uil-user"></i>
        <label for="usuario" class="inpt_label">Usuario</label>
      </div>

      <div class="txt_field">
        <input type="password" id="contrasenia" class="inpt" autocomplete="off" placeholder="  " [(ngModel)]="loginUsuario.Password">
        <i class="uil uil-lock" *ngIf="loginUsuario.Password.length === 0"></i>
        <label for="contrasenia" class="inpt_label">Contraseña</label>
      </div>
    </div>

    <div class="containerActions">
      <p class="p_link" (click)="abrirRecuperarContrasenia()">¿Olvidaste tu contraseña?</p>
      <button class="btn btn-primary-1 ingresar" (click)="autenticarUsuario()">Ingresar</button>
      <p class="p_link" (click)="mostrarModalNuevoUsuario()">¿No tienes cuenta? <br> ¡Regístrate ahora!</p>
    </div>
  </p-dialog>
</div>
